// pages/mini/mini.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
  
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },
  // 表单提交
  submit(e){
    console.log(e)
    let that = this;
    let { realname, phone, nickname} = e.detail.value;
        // myreg = /^[1][3,4,5,7,8][0-9]{9}$/,
        // userinfo = wx.getStorageSync('userInfo'),
        // nicknames = userinfo.nickname,
        // phoneValid = myreg.test(Number(phone));

    if (realname == '') {
      wx.showToast({
        title: 'name is empty',
        image: '/images/error.png',
        // icon:,
        duration: 1000
      })
    } else if (phone == '') {
      wx.showToast({
        title: 'phone is empty',
        image: '/images/error.png',
        // icon:'none',
        duration: 1000
      })
    }  else if (nickname == '') {
      wx.showToast({
        title: 'wechat is empty',
        image: '/images/error.png',
        // icon:'none',
        duration: 1000
      })
    } else {
      wx.request({
        url: app.globalData.hostname + 'kaiguan/wanttoEmail',
        data: { nickname, realname, phone },
        success(res) {

            wx.showModal({
              title: 'Tips',
              content: "Successful, don't repeat operation",
              showCancel:false,
              success:function(res){
                console.log("进来cancel了")
                if(res.confirm){
                  wx.navigateBack({
                    
                  })
                }
              }
            })

          
        },
        complete() {
          console.log("进来comlete了")
          // wx.navigateBack({

          // })
          that.setData({
            nickname: '',
            phone: ''
          })
        }
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})